Update Dataset
curl --request PATCH \
--url https://api.example.com/datasets/{dataset_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"starred": true,
"import_config": {
"integration_config": {
"domain": "<string>",
"query_type": "soql",
"query": "<string>",
"source": "salesforce"
},
"credential_secret": "<string>",
"output_dataset": "<string>",
"job_type": "integration"
}
}
'import requests
url = "https://api.example.com/datasets/{dataset_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"starred": True,
"import_config": {
"integration_config": {
"domain": "<string>",
"query_type": "soql",
"query": "<string>",
"source": "salesforce"
},
"credential_secret": "<string>",
"output_dataset": "<string>",
"job_type": "integration"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
starred: true,
import_config: {
integration_config: {
domain: '<string>',
query_type: 'soql',
query: '<string>',
source: 'salesforce'
},
credential_secret: '<string>',
output_dataset: '<string>',
job_type: 'integration'
}
})
};
fetch('https://api.example.com/datasets/{dataset_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"detailed_description": "<string>",
"organisation_id": "<string>",
"status": "<string>",
"starred": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"columns": [
"<string>"
],
"is_embedding_searchable": true,
"dataset_card": "<string>",
"dictionary": {},
"dataset_schema": {
"column_schemas": {}
},
"annotations": {},
"warehousing_error": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"last_schedule_run_at": "2023-11-07T05:31:56Z",
"import_config": {},
"is_importing": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}datasets
Update Dataset
PATCH
/
datasets
/
{dataset_id}
/
Update Dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I